Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364773 - [DOCS] [3.3] Document basic egress firewall feature
Summary: [DOCS] [3.3] Document basic egress firewall feature
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Timothy
QA Contact: Meng Bo
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 09:26 UTC by Vikram Goyal
Modified: 2017-03-08 18:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-28 00:09:08 UTC


Attachments (Terms of Use)

Description Vikram Goyal 2016-08-07 09:26:20 UTC
This new featured provides a way to limit what some or all pods can access outside the cluster.

The only interfaces to use the feature will be raw pod json in OSE 3.3

Eng card: https://trello.com/c/iH5IjWI8

Comment 1 Timothy 2016-08-08 07:10:06 UTC
I have engaged with Dan Winship on the Engineering Trello card with a few questions I'll need sorted out in order to write docs for this.

https://trello.com/c/iH5IjWI8/244-8-basic-egress-firewall

Comment 2 Aleks Lazic 2016-08-10 08:16:27 UTC
I have created a issue on origin for this feature.

https://github.com/openshift/origin/issues/10323

If the PR https://github.com/openshift/origin/pull/10322 will accept I will also adopt the readme for the DOC.

Comment 3 Timothy 2016-08-18 04:48:23 UTC
The above PR in comment 2 was not accepted, it was closed.

ATTN DAN WINSHIP:

I created a new section in the admin guide for this, since it seemed to be its own thing:

"Limit Pod Access with Egress Firewall"

Rendered docs for easy reading: http://file.bne.redhat.com/tpoitras/2016/egress/openshift-enterprise/egress-BZ1364773/admin_guide/limit_pod_access_egress.html

Am I right to assume this only affects OCP/Enterprise 3.3 and Dedicated 3.3?

Please review for technical accuracy. Leave comments here or in the PR. 

Submitted PR to GitHub: https://github.com/openshift/openshift-docs/pull/2675

Thank you.

Comment 5 Timothy 2016-08-19 02:35:44 UTC
Incorporated tech review (from PR) into the work and re-submitted.

Moving along to peer review.

Comment 6 Timothy 2016-08-19 03:36:31 UTC
Peer review complete. Merging: https://github.com/openshift/openshift-docs/pull/2675


Note You need to log in before you can comment on or make changes to this bug.